> For the complete documentation index, see [llms.txt](https://spice.docs.medtroniclabs.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://spice.docs.medtroniclabs.org/spice-docs/engineering/api-documentation/spice-services/bplog-create.md).

# BPLog Create

| **API URL**     | {{url}}/spice-service/bplog/create |
| --------------- | ---------------------------------- |
| **Method**      | POST                               |
| **Description** | BP Log create                      |

#### **Input:** <a href="#bplogcreate-input" id="bplogcreate-input"></a>

| **Field Name**        | **Type** | **Mandatory** | **Example**                                                                                                                                     |
| --------------------- | -------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization(Header) | String   | Yes           | Bearer eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.MCm0mJDfpfjlr10Uok79-kTF7fv9Tn7cI5m2WsRDGUd9VS7iRmfbszjuc1-w5D-PYt9CdVxRMGBQlzYauhnI |

#### **Input:** <a href="#bplogcreate-input-.1" id="bplogcreate-input-.1"></a>

| **Field Name** | **Type**         | **Mandatory** | **Example** |
| -------------- | ---------------- | ------------- | ----------- |
| Systolic       | Integer          | Yes           | 120         |
| Diastolic      | Integer          | Yes           | 95          |
| Pulse          | Integer          | No            | 90          |
| Height         | Double Precision | No            | 150         |
| Weight         | Double Precision | No            | 75          |
| Temperature    | Double Precision | No            | 24          |

#### **Sample Input:** <a href="#bplogcreate-sampleinput" id="bplogcreate-sampleinput"></a>

{     "avgSystolic": 99,     "isRegularSmoker": true,     "cvdRiskScore": 3,     "weight": 77,     "avgBloodPressure": "99/99",     "cvdRiskLevel": "Low risk",     "unitMeasurement": "metric",     "temperature": 72,     "tenantId": 4,     "cvdRiskScoreDisplay": "3% - Low risk",     "patientTrackId": 25,     "avgDiastolic": 99,     "bpLogDetails": \[         {             "diastolic": 99,             "pulse": 99,             "systolic": 99         },         {             "diastolic": 99,             "pulse": 99,             "systolic": 99         },         {             "diastolic": 99,             "pulse": 99,             "systolic": 99         }     ],     "height": 188,     "bmi": 21.79 }

#### **Output:** <a href="#bplogcreate-output" id="bplogcreate-output"></a>

| **Field Name** | **Type**         | **Comments**            |
| -------------- | ---------------- | ----------------------- |
| `avgSystolic`  | Integer          | Average systolic value  |
| `avgDiastolic` | Integer          | Average diastolic value |
| `bmi`          | Double Precision | BMI calculation         |

#### **Sample Output:** <a href="#bplogcreate-sampleoutput" id="bplogcreate-sampleoutput"></a>

```
{
  "message": "BpLog added successfully.",
  "entity": {
    "createdBy": 5,
    "updatedBy": 5,
    "avgSystolic": 99,
    "avgDiastolic": 99,
    "bmi": 21.79,
    "updatedFromEnrollment": false,
    "latest": false,
    "deleted": false,
    "oldRecord": false,
    "redRiskPatient": false
  },
  "status": true,
  "entityList": null,
  "responseCode": 201,
  "totalCount": null
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://spice.docs.medtroniclabs.org/spice-docs/engineering/api-documentation/spice-services/bplog-create.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
